#include<bits/stdc++.h>
using namespace std;
bool mogaLi[100000]; // 0- ne moga
int main(){
    long long a, b, l, ans = 0;
    cin>>a>>b>>l;
    if(a > b) swap(a, b);

    if(a + b >= l){
        cout<<l<<endl;
        return 0;
    }

    ans += (a + b - 1);

    if(a == 1 && b != 1){
        cout<<ans<<endl;
        return 0;
    }

    if(a == 1 && b == 1){
        cout<<ans<<endl;
        return 0;
    }
    long long x = 1;
    for(long long y = 1; y <= l/b && a*x + b*y <= l; y++){
        for(x = 1; x <= l/a && a*x + b*y <= l; x++){
            if(a*x + b*y <= l){
                mogaLi[a*x + b*y] = 1;
            }
        }
    }
    for(long long i = a + b; i <= l; i++){
        if(mogaLi[i] == false){
            ans++;
        }
    }
    cout<<ans<<endl;

}

//l*l + l
